TweetShrink gem for Ruby

06 Mar 2009

TweetShrink’s API is so simple that this gem barely adds anything on top of HTTParty, but here it is.

require 'rubygems'
require 'tweetshrink'

t = TweetShrink.shrink "One wonders why"
# t['difference'] => 4
# t['text'] => "1 wonders y"
# t['original_text'] => "One wonders why"

You can get it from my github account, here, or via rubygems like

$ sudo gem install logankoester-tweetshrink


blog comments powered by Disqus